List screenings
curl --request GET \
--url https://api.beltic.com/v1/screenings \
--header 'X-Api-Key: <api-key>'import requests
url = "https://api.beltic.com/v1/screenings"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://api.beltic.com/v1/screenings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"type": "screening/watchlist",
"id": "<string>",
"attributes": {
"status": "pending",
"execution_mode": "sync",
"query": {},
"has_match": true,
"created_at": "<string>",
"completed_at": "<string>",
"matched_lists": [
{
"name": "<string>",
"url": "<string>",
"list_type": "<string>",
"list_types": [
"<string>"
],
"slug": "<string>",
"flag_code": "<string>",
"country_code": "<string>",
"entities": [
{
"name": "<string>",
"alias_type": "<string>",
"birthdates": [
{
"day": "<string>",
"year": "<string>",
"month": "<string>",
"granularity": "<string>"
}
],
"birthdate": "<string>"
}
],
"match_types": [
"<string>"
]
}
],
"started_at": "<string>",
"errors": [
{
"code": "<string>",
"message": "<string>",
"details": {}
}
],
"ignore_list": [
"<unknown>"
]
},
"relationships": {
"account": {
"data": {
"type": "account",
"id": "<string>"
}
},
"business": {
"data": {
"type": "business",
"id": "<string>"
}
}
}
}
],
"meta": {
"page_info": {
"cursors": {
"start": "<string>",
"end": "<string>"
},
"hasNextPage": true,
"hasPreviousPage": true,
"total": 123
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>",
"code": "<string>"
}
]
}Screening API
List Screenings
List screenings with optional filters for type and status. Supports cursor-based pagination.
GET
/
v1
/
screenings
List screenings
Authorizations
API key for authentication. Access https://console.beltic.com/ to obtain your API key.
Query Parameters
Filter by screening resource type (e.g. screening/watchlist)
Available options:
screening/watchlist, screening/politically-exposed-person, screening/business-watchlist, screening/business-adverse-media, screening/business-online-presence, screening/business-classification, screening/business-associated-persons, screening/business-registrations Filter by status
Available options:
pending, processing, completed, failed, not_found Number of items per page (max 100)
Required range:
1 <= x <= 100Example:
20
Cursor for pagination (ID of last item)
Response
Screenings retrieved successfully
data
(screening/watchlist · object | screening/politically-exposed-person · object | screening/business-watchlist · object | screening/business-adverse-media · object)[]
required
- screening/watchlist
- screening/politically-exposed-person
- screening/business-watchlist
- screening/business-adverse-media
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?